# Gitea
## **Mise à jour manuellement**
Localiser le dossier d'installation de gitea (où est le "binary"), exemple :
```sh
/usr/local/bin/gitea
```
Télécharger la nouvelle version dans un autre dossier :

```sh
wget -O gitea https://dl.gitea.io/gitea/1.15.1/gitea-1.15.1-linux-amd64
```
Déplacer le fichier depuis le répertoire de télécharger jusqu'au répertoire d'installation (**dans gitea**) :
```sh
mv gitea /usr/local/bin/gitea
```
Le rendre éxecutable et redémarrer le logiciel :
```sh
chmod +x gitea
systemctl restart gitea
```

## **Mise à jour automatiquement**
!!! Warning "Attention"
    En test actuellement. Tester avec précaution.

Il est possible de réaliser cette manipulation automatiquement :

- récupérer la dernière version de gitea sur github
- renommer l'exécutable
- le rendre exécutable
- le déplacer dans le dossier de fonctionnement de gitea
- redémarrer gitea

Pour cela créer un script `gitea.sh` :

```sh
#!/bin/bash
curl -s https://api.github.com/repos/go-gitea/gitea/releases/latest \
| jq -r '.assets[30].browser_download_url' \
| wget -i -

file="$(find . -name "*linux-amd64")"

mv $file /usr/local/bin/gitea

chmod +x /usr/local/bin/gitea

systemctl restart gitea
```

Puis rendre exécutable et exécuter ce script :

```sh
chmod +x gitea.sh # rendre exécutable
./gitea.sh # exécuter
```

Il est donc maintenant possible de créer (ou non) une tâche CRON afin de faire tourner ce script régulièrement (ou de le faire tourner manuellement à chaque alerte de mise à jour).
